API explorerApps
Register a web app (an existing URL is updated)
POST /api/agent/apps. Required scopes: apps:write.
Loading API reference…
Required scopes: apps:write
bearer apps:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: apps:write
application/jsonname*string1 <= length <= 40url*stringurilength <= 2048iconUrl?stringurilength <= 2048project?string1 <= length <= 80teamId?stringTeam or free Family ID (team_…) returned by teams_create or teams_list
^team_[A-Za-z0-9_-]{8,64}$Success
application/jsonapp*created*booleanmessage?stringcurl -X POST 'https://example.com/api/agent/apps' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "url": "http://example.com"}'{ "app": { "id": "string", "name": "string", "origin": "string", "iconUrl": "string", "storageScope": "string", "url": "string", "projectId": "string", "projectName": "string", "shareName": true, "shareEmail": true, "consentedAt": "2019-08-24T14:15:22Z", "lastOpenedAt": "2019-08-24T14:15:22Z", "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "team": { "id": "string", "name": "string" }, "addedBy": "string" }, "created": true, "message": "string"}